<?php
// JSON_ENCODE

// cas d'un tableau indexé
$arrIndex = array(1,2);

// cas d'un tableau associatif
$arrAssoc = array("a" => 1, "b" => 2);

// cas d'un objet instance de classe
class Foo {
    var $a;
    var $b;
    
    public function __construct($a, $b) {
        $this->a = $a;
        $this->b = $b;
    }
}

$object = new Foo(1,2);
?>

<style type="text/css">
    span {font-weight: bold;font-family: monospace;font-size: 12pt;}
</style>
(source code <a href="JSONcodec.php.zip">JSONcodec.php.zip</a>)
<a href="http://us3.php.net/manual/fr/function.json-encode.php">
    <h1>PHP json_encode</h1>
</a>

<pre>
// cas d'un tableau index&eacute;
$arrIndex = array(1,2);
</pre>
<p>Indexed array: 
    <span><?php echo json_encode($arrIndex); ?></span>
</p>

<pre>
// cas d'un tableau associatif
$arrAssoc = array("a" => 1, "b" => 2);   
</pre>
<p>Associative array: 
    <span><?php echo json_encode($arrAssoc); ?></span>
</p>

<pre>
// cas d'un objet instance de classe
class Foo {
    var $a;
    var $b;
    
    public function __construct($a, $b) {
        $this->a = $a;
        $this->b = $b;
    }
}
$object = new Foo(1,2);    
</pre>
<p>Object: 
    <span><?php echo json_encode($object); ?></span>
</p>

<hr>

<a href="http://us3.php.net/manual/fr/function.json-decode.php">
    <h1>PHP json_decode</h1>
</a>

<?php
// JSON_DECODE

$result = json_decode($_GET["json"]);
print_r($result);
?>

<ul>
    <li>Indexed array: <a href='JSONcodec.php?json=[1,2]'>[1,2]</a></li>
    <li>Object: <a href='JSONcodec.php?json={"a":1,"b":2}'>{"a":1,"b":2}</a></li>
</ul>




